/*

  REXX Script to create desktop folder for InJoy Connect

*/

if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end

say "Creating desktop folder..."

dir = directory() || '\'

say "Creating folder"
call SysCreateObject "WPFolder", "InJoy Connect", "<WP_DESKTOP>", "OBJECTID=<INJOYCONNFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=10.Helv;BACKGROUND=" || dir || "back.bmp,T;ICONFILE=" || dir || "FOLDER.ICO", "replace"
call SysCreateObject "WPFolder", "Information", "<INJOYCONNFOLDER>", "OBJECTID=<INJOYCONNINFOFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=8.Helv;BACKGROUND=" || dir || "back.bmp,T", "replace"
call SysCreateObject "WPFolder", "Different methods"|| d2c(10) || "of payment", "<INJOYCONNFOLDER>", "OBJECTID=<INJOYCONNPAYFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=NO;ICONFONT=8.Helv;BACKGROUND=" || dir || "back.bmp,T", "replace"
say "Creating program objects"

call SysCreateObject "WPProgram", "BMT resellers", "<INJOYCONNPAYFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOC\" || "ORDER.BMT", "replace"


call SysCreateObject "WPProgram", "License"  || d2c(10) || "Agreement", "<INJOYCONNINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOC\" || "LICENSE.TXT", "replace"
call SysCreateObject "WPProgram", "File_ID.DIZ", "<INJOYCONNINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "FILE_ID.DIZ", "replace"
call SysCreateObject "WPProgram", "Packet Filter" || d2c(10) || "Reference", "<INJOYCONNINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOC\" || "FILTER.TXT", "replace"
call SysCreateObject "WPProgram", "InJoy Connect" || d2c(10) || "Manual (.PDF)", "<INJOYCONNINFOFOLDER>", "EXENAME=ACROREAD.EXE;PARAMETERS=" || dir || "DOC\" || "CONNECT.PDF", "replace"
call SysCreateObject "WPProgram", "IPSec" || d2c(10) || "Plugin", "<INJOYCONNINFOFOLDER>", "EXENAME=NETSCAPE.EXE;PARAMETERS=" || "file:///" || dir || "doc\ipsec\welcome.htm", "replace"
call SysCreateObject "WPProgram", "InJoy Connect" || d2c(10) || "home page", "<INJOYCONNINFOFOLDER>", "EXENAME=NETSCAPE.EXE;PARAMETERS=" || "http://www.fx.dk/ic", "replace"

call SysCreateObject "WPProgram", "BMT Purchase" || d2c(10) || "Applet", "<INJOYCONNFOLDER>", "EXENAME=" || dir || "PURCHASE\" || "PURCHASE.EXE;STARTUPDIR=" || dir || "purchase\" || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
call SysCreateObject "WPProgram", "Get legal and" || d2c(10) || "Register", "<INJOYCONNFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "DOC\" || "REGISTER.TXT", "replace"
call SysCreateObject "WPProgram", "InJoy Connect GUI", "<INJOYCONNFOLDER>", "EXENAME=" || dir || "BIN\" || "ICGUI.EXE;STARTUPDIR=" || dir || "bin\" || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
call SysCreateObject "WPProgram", "Start InJoy Connect", "<INJOYCONNFOLDER>", "EXENAME=" || dir || "BIN\" || "RUN.CMD;STARTUPDIR=" || dir || "bin\" || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
say "Installation completed - InJoy Connect"
